<!-- Creado: Félix Ricardo Oliva Alonso, 10/08/2017. Se crea la vista para generar los reportes de ocupación del hospital -->
<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();
  $usuario = $_SESSION['operador'];
  $Centro_Sal  = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
  $Centro_Sal  = trim($Centro_Sal);
  $nom_Centro_Sal  = $var->desencriptar_AES($usuario['nom_centrosal'], $usuario['x']);
  $nom_Centro_Sal = trim(ucwords(strtolower($nom_Centro_Sal)));
  $IDDOC  = $var->desencriptar_AES($usuario['id_doc'], $usuario['x']);

if($Centro_Sal == "" || $Centro_Sal == "0" || $Centro_Sal < 0)
  die("Ha accedido a un formulario sin los debidos privilegios de acceso");

?>

@extends('layouts.app')

@section('title', 'Urgencias Atendidas del '.$nom_Centro_Sal)
@section('breadcrumb')
    <li class="active">Urgencias Atendidas</li>
@endsection
@section('styles')
  <style media="screen">
    #contenedor_tabla,#output{border:0px; overflow:auto;}
    #mensajePDF{min-height:20px; text-align:center; animation-name:mensajePDF; animation-duration:1s; animation-iteration-count:infinite;}
    th{background:rgba(249, 249, 249, 1);}
    @keyframes mensajePDF {
        0%,100%    {opacity: 0.6;   transform: scale(1);}
        50%        {opacity: 1.0;   transform: scale(1.025);}
    }
  </style>
@endsection
@section('content')

    <div class="box box-primary">
      <div class="box-body">
        <h4 class="box-title">Criterios de Búsqueda</h4>
        
        <div class="row">

          <div class="col-sm-2">
            <div class="input-group input-group-sm">
              <span class="input-group-addon" id="sizing-addon3">Inicio</span>
              <input type="text" name="fecha_inicio" id="fecha_inicio" class="form-control"title="La captura de la fecha debe ser en formato -dd/mm/aaaa-" placeholder="dd/mm/aaaa"/>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="input-group input-group-sm">
              <span class="input-group-addon" id="sizing-addon3">Cierre</span>
              <input type="text" name="fecha_fin" id="fecha_fin" class="form-control"title="La captura de la fecha debe ser en formato -dd/mm/aaaa-" placeholder="dd/mm/aaaa"/>
            </div>
          </div>

          

          <div class="col-sm-1">
            <div class="input-group input-group-sm">
              <p class="text-center"><button id="btn_getLstPacientes_enAgendaMedica" name="btn_getLstPacientes_enAgendaMedica" class="btn btn-primary" onclick="validarConsulta();">Consultar</button></p>
            </div>
          </div>



          
        </div>
     
      
      <div id="mensajePDF" style="display:none">Generando Reporte</div>
      <iframe  width="100%" height="1400px" id="output" ></iframe>
      <div  style="width:100%;  height:600px;" id="contenedor" name="contenedor"></div>
    


    <div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div id="modalContent" class="modal-content">

            </div>
        </div>
    </div>


  </div>
@endsection


@section('scripts')
  <script src="js/jspdf.debug.js"></script>

  <script type="text/javascript">
    var fecha        = new Date();
    var MEDICO       = "";
    var ESPECIALIDAD = "";

    $(document).ready(function() {
          document.getElementById("btn_getLstPacientes_enAgendaMedica").disabled = true;  
        $('#fecha_inicio').datepick({
          dateFormat: 'dd/mm/yyyy', 
          onSelect: function() {
            $(this).change(); // Redirigir al evento onChange
          }
        });

        $('#fecha_fin').datepick({
          dateFormat: 'dd/mm/yyyy', 
          onSelect: function() {
            $(this).change(); // Redirigir al evento onChange
             document.getElementById("btn_getLstPacientes_enAgendaMedica").disabled = false;  
          }
        });

        $('#output').hide();
        $('.piso').hide();
    });


  function validarConsulta(){
      $('#mensajePDF').html("Generando reporte");
      $('#mensajePDF').show();
      $('#output').hide();
      
    var fecha_inicio = document.getElementById("fecha_inicio").value;
    var fecha_fin = document.getElementById("fecha_fin").value;
    var centro_sal = {!! $Centro_Sal !!}; 
   $('#contenedor').show();
    jqGetAjaxShort_execFn("imprime_indicadoresUrgencias","contenedor", {'fecha_inicio': fecha_inicio , 'fecha_fin': fecha_fin, 'centro_sal': centro_sal},$('#mensajePDF').show());
        
   setTimeout(function(){ // Es necesario poner la asignación del foco poco menos despues de un segundo para que si lo observe el usuario
     $('#mensajePDF').hide();
  }, 1500);
   
     
 }

 $(document).on("click", "#contenedor .close", function(event) {
    $('#contenedor').hide();
 }

 );


  </script>
@endsection
